import { Environment } from '@teambit/envs';
import { PreviewStrategyName } from '@teambit/preview';
export declare const HtmlEnvType = "html";
export declare class HtmlEnv implements Environment {
    icon: string;
    getDocsTemplate(): string;
    getMounter(): string;
    getDependencies(): {
        devDependencies: {
            '@types/jest': string;
        };
    };
    getPreviewConfig(): {
        strategyName: PreviewStrategyName;
        splitComponentBundle: boolean;
    };
    __getDescriptor(): Promise<{
        type: string;
    }>;
}
